
Smart Proxy - Bug #9248

smart-proxy does not create a pid file

02/05/2015 09:52 PM - Corey Osman
Description

The smart proxy service when installed via rpm does not create a pid file when started. This is causing restarts to fail and the user

must kill the process manually to load any new settings.

Usually the init file creates this pid file but I think its been moved to the proxy itself to create the pid file.

History

#1 - 02/05/2015 10:06 PM - Corey Osman

Upon further inspection, if I manual set the daemon_pid in the settings file everything works as expected.  So it looks like its not loading the default

value correctly which thus creates an issue when trying to create a pid file.

To work around this issue just uncomment the daemon_pid

# by default smart_proxy runs in the foreground. To enable running as a daemon, uncomment 'daemon' setting

:daemon: true

# Only used when 'daemon' is set to true.

# Uncomment and modify if you want to change the default pid file '/var/run/foreman-proxy/foreman-proxy.pid'

:daemon_pid: /var/run/foreman-proxy/foreman-proxy.pid

#2 - 02/06/2015 03:33 AM - Dominic Cleal

- Category set to Core

#3 - 02/06/2015 12:37 PM - Corey Osman

- Priority changed from High to Normal

I wrote a few tests to try and reproduce this issue via code.  However, I was unable to reproduce this directly with code.  I will dig a little deeper with

pry and see if I can better reproduce the issue.

#4 - 02/10/2015 07:06 AM - Lukas Zapletal

If using RHEL or clones, check SELinux for denials. Is this RHEL7 or RHEL6?

#5 - 02/29/2016 08:46 AM - Anonymous

- Status changed from New to Closed

This has been inactive for a year with no other users raising the issue. I'm going to close this, pls. reopen if you are still seeing it.

#6 - 02/29/2016 08:47 AM - Dominic Cleal

- Status changed from Closed to Rejected
